/*
  ZynAddSubFX - a software synthetizer
 
  FilterParams.h - Parameters for filter
  Copyright (C) 2002-2003 Nasca Octavian Paul
  Author: Nasca Octavian Paul

  This program is free software; you can redistribute it and/or modify
  it under the terms of version 2 of the GNU General Public License 
  as published by the Free Software Foundation.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License (version 2) for more details.

  You should have received a copy of the GNU General Public License (version 2)
  along with this program; if not, write to the Free Software Foundation,
  Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

*/

#ifndef FILTER_PARAMS_H
#define FILTER_PARAMS_H

#include "../globals.h"
#include "../Misc/Buffer.h"

class FilterParams{
    public:
	FilterParams(unsigned char Ptype_,unsigned char Pfreq,unsigned char Pq_);
	~FilterParams();
        void saveloadbuf(Buffer *buf);

	REALTYPE getfreq();
	REALTYPE getq();
	REALTYPE getfreqtracking(REALTYPE notefreq);
	
       /* Parametrii MIDI */	
	unsigned char Ptype;// Filter type 
	unsigned char Pfreq;// Frequency (64-central frequency)
	unsigned char Pq;   // Q parameters (resonance or bandwidth)
	unsigned char Pstages; //filter stages+1
	unsigned char Pfreqtrack;//how the filter frequency is changing according the note frequency
    private:
};

#endif

